# $Revision: 1.6 $, $Date: 2004/09/07 15:12:33 $
#
# Conditional build:
%bcond_with	tests	# Do not perform "make test"
			# won't succeed in timezone other than author's
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	License
Summary:	Crypt::License - Perl extension to examine a license file
Summary(pl):	Crypt::License - rozszerzenie Perla do kontrolowania pliku licencji
Name:		perl-Crypt-License
Version:	2.03
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0a9cb70700a3000470a5383b8aa5ec0a
# perl-modules or perl-Filter
%if %{with tests}
BuildRequires:	perl(Filter::Util::Call) >= 1.04
BuildRequires:	perl-Crypt-CapnMidNite >= 1.00
BuildRequires:	perl-Crypt-C_LockTite >= 1.00
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Crypt-CapnMidNite >= 1.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(Filter::Util::Call)'

%description
This module set provides tools to effectively obfuscate Perl source
code and allow it to be decoded and executed based on host server,
user, expiration date and other parameters. Further, decoding and
execution can be set for a system wide key as well as a unique user
key.

In addition, there are a set of utilities that provide email
notification of License expiration and indirect use of the encrypted
modules by other standard modules that may reside on the system. i.e.
sub-process calls by Apache-AuthCookie while not in user space.

%description -l pl
Ten zestaw moduw udostpnia narzdzia do skutecznego ukrycia kodu
rdowego w Perlu i pozwalania na dekodowanie oraz wykonywanie go w
zalenoci od hosta, uytkownika, daty wyganicia i innych
parametrw. Co wicej, wykonywanie mona ograniczy na podstawie
klucza globalnego dla systemu lub unikalnego dla kadego uytkownika.

Ponadto pakiet zawiera zbir narzdzi dajcych powiadomienia poczt
elektroniczn o wygasaniu licencji oraz niebezporednie uywanie
zaszyfrowanych moduw przez inne standardowe moduy, ktre mog
istnie w systemie, jak wywoania z podprocesw przez
Apache-AuthCookie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

# bleh, won't succeed in timezone other than author's
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install License.{template,txt} *.pl \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%{perl_vendorlib}/Crypt/License.pm
%{perl_vendorlib}/Crypt/License
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/License.*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-License.spec,v $
Revision 1.6  2004/09/07 15:12:33  adamg
- updated to 2.03

Revision 1.5  2004/05/10 03:17:25  ankry
- BR/R fixed/simplified, rel. 2

Revision 1.4  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/20 23:07:06  ankry
- new bcond fixes

Revision 1.2  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.1  2003/06/18 21:54:27  qboosh
- new

